<?php

class m130911_152400_add_index_for_event_reporting_status_and_trace_kemler extends MyDbMigration
{
	public function up()
	{
		$this->createIndex('kemler_index', 'vehicletracetable', 'KemlerCode');
		$this->createIndex('status_type_index', 'event_reporting', 'status, type, id');
	}

	public function down()
	{
    $this->dropIndex('kemler_index', 'vehicletracetable');
    $this->dropIndex('status_type_index', 'event_reporting');
    
		return true;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}